<ng-template #defaultTaskTypes let-c="close" let-d="dismiss">
  <div *ngIf="createdCount === 0" class="modalContainer" fxLayout="column" fxFlex>

    <div fxLayout="row" fxLayoutAlign="start end">
      <span>
        There are no task types in the Database yet. Do you want to save the default task types listed below?
        You can add some additional task types in the "Repository Settings"
      </span>
    </div>
    <div fxLayout="column" fxFlexOffset="1" fxFlex>
      <raamHeadline title=" "></raamHeadline>
      <div *ngFor="let taskType of taskTypes" fxLayout="row" fxFlexOffset="1">
        <span fxFlex="30" fxFlexOffset="20" class="raamHintText bigText">{{taskType.name}}</span>
        <raamColor [color]="taskType.color"></raamColor>
      </div>
    </div>
  </div>

  <div *ngIf="createdCount === taskTypes.length" class="modalContainer" fxLayout="column" fxFlex>
    <div fxLayout="row" fxLayoutAlign="start end">
      <span>
        There are no task types in the Database yet. Do you want to save the default task types listed below?
        You can add some additional task types in the "User Settings"
      </span>
    </div>
  </div>

  <div *ngIf="createdCount === taskTypes.length" class="buttonContainer" fxFlex="row" fxLayoutAlign="end end">
    <button class="btn btn-success" (click)="modalRef.close()" fxFlexOffset="2">Close</button>
  </div>

  <div *ngIf="createdCount === 0" class="buttonContainer" fxFlex="row" fxLayoutAlign="end end">
    <button class="btn btn-success" (click)="addDefaultTaskTypesToDatabase()" fxFlexOffset="2">Add</button>
    <button class="btn btn-danger" (click)="modalRef.dismiss()" fxFlexOffset="2">Cancel</button>
  </div>
</ng-template>
